import { defineConfig, loadEnv } from 'vite';
import react from '@vitejs/plugin-react';

// https://vite.dev/config/
export default defineConfig(({ mode }) => {
    const env = loadEnv(mode, process.cwd());

    return {
        plugins: [react()],
        build: {
            outDir: '../dist',
        },
        server: {
            port: env.VITE_PORT,
            proxy: {
                '/api': {
                    target: env.VITE_API_URL || 'http://124.222.236.141:58000',
                    changeOrigin: true,
                },
            },
        },
    };
});
